/* Switch.C: Switch nodes (public source) */

#include "Switch.H"
#include "renderer.H"

namespace xrml {

void Switch::render(void)
{
  world->renderer->begin_Switch(this);
  if (whichChoice>=0 && whichChoice<choice.size)
    choice[whichChoice]->render();
  world->renderer->end_Switch(this);
}

}  // namespace xrml
